For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet a list of all wallet grants
      • POSTCreate a wallet grant
      • GETGet a wallet grant
  • Event API
LoginSandbox
Transaction APIWallet Grants

Get a list of all wallet grants

GET
/v:version/wallet-grants
GET
/v:version/wallet-grants
$curl https://api.solvimon.com/v1/wallet-grants \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "customer_id": "string",
7 "billing_entity_id": "string",
8 "wallet_id": "string",
9 "type": "DEFAULT",
10 "description": "string",
11 "grant_amount": {
12 "quantity": "string",
13 "currency": "AED"
14 },
15 "grant_credits": {
16 "quantity": "string",
17 "credit_type_id": "string"
18 },
19 "paid_amount": {
20 "quantity": "string",
21 "currency": "AED"
22 },
23 "start_at": "2024-01-15T09:30:00Z",
24 "expire_at": "2024-01-15T09:30:00Z",
25 "created_at": "string"
26 }
27 ],
28 "links": {
29 "first": "string",
30 "previous": "string",
31 "current": "string",
32 "next": "string"
33 },
34 "limit": 1,
35 "page": 1,
36 "total_number_of_pages": 1
37}

Requires the WALLET_GRANT.VIEW permission.

Was this page helpful?
Previous

Create a wallet grant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list.
pageintegerOptional
The page which is going to be shown.
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.
customer_idstringOptional
Filter wallet grants by customer resource id.
wallet_idstringOptional
Filter wallet grants by wallet resource id.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error